## org.codehaus.groovy.grails.web.pages.ext.jsp
Class TldReader

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.codehaus.groovy.grails.web.pages.ext.jsp.TldReader

All Implemented Interfaces:
  groovy.lang.GroovyObject, ContentHandler, DTDHandler, EntityResolver, ErrorHandler

    public class TldReader

extends DefaultHandler
implements groovy.lang.GroovyObject

Constructor Summary
`TldReader()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`void` `characters(char[] chars, int offset, int length)`
`void` `endElement(String nsuri, String localName, String qName)`
`StringBuffer` `getBuf()`
`List` `getListeners()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Map` `getTags()`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setBuf(StringBuffer value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`void` `startElement(String nsuri, String localName, String qName, Attributes attributes)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TldReader

    public TldReader()

Method Detail

### getTags

    public Map getTags()

### getListeners

    public List getListeners()

### getBuf

    public StringBuffer getBuf()

### setBuf

    public void setBuf(StringBuffer value)

### startElement

    public void startElement(String nsuri,
                             String localName,
                             String qName,
                             Attributes attributes)

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `DefaultHandler`

### characters

    public void characters(char[] chars,
                           int offset,
                           int length)

  Specified by:
    `characters` in interface `ContentHandler`
  Overrides:
    `characters` in class `DefaultHandler`

### endElement

    public void endElement(String nsuri,
                           String localName,
                           String qName)

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `DefaultHandler`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project